/*!
  \file collision_test_entity.h
  \brief This file handles the collision_test_entity of the game
*/

#ifndef _COLLISION_TEST_ENTITY_H
#define _COLLISION_TEST_ENTITY_H

#include "world_entity.h"

//! collision_test_entity of orxonox
/**
   everything that does not interact with the player comes here
   Collision_Test_Entity is a container for all the worldEntities that are non-interactive
*/
class CollisionTestEntity : public WorldEntity
{
  friend class World;

 public:
  CollisionTestEntity ();
  CollisionTestEntity (const TiXmlElement* root);
  virtual ~CollisionTestEntity ();

  void init();
  virtual void loadParams(const TiXmlElement* root);



  virtual void tick (float time);

  virtual void draw ();

};

#endif /* _COLLISION_TEST_ENTITY_H */
